<?

define('_IN_JOHNCMS', 1);
$rootpath = '../../';
require_once ($rootpath."incfiles/core.php");
require_once ($rootpath."incfiles/head.php");
echo "<div class='phdr'>Письмо президенту</div>";


function form()
{
	$file = file_get_contents("temp/president.tmp");
	$out = intval($file);
	echo 'Сейчас многие пишут письма президенту - наверное, потому, что он любит получать письма. Почему бы и вам не написать ему? Мы знаем, что у вас мало свободного времени, поэтому сделали заготовку письма. Вам осталось вписать только несколько слов. ';
	echo '<form method="post" action="president.php">
<div class="gmenu">Сколько вам лет?<br/>
<input type="text" name="1" value=""/><br/>
Слово, отвечающее на вопрос какая?<br/>
<input type="text" name="2" value=""/><br/>
Слово, отвечающее на вопрос какой?<br/>
<input type="text" name="3" value=""/><br/>
Любое число<br/>
<input type="text" name="4" value=""/><br/>
Какой?<br/>
<input type="text" name="5" value=""/><br/>
Какие?<br/>
<input type="text" name="6" value=""/><br/>
Какой?<br/>
<input type="text" name="7" value=""/><br/>
Какой?<br/>
<input type="text" name="8" value=""/><br/>
Что или кто? (муж.р.)<br/>
<input type="text" name="9" value=""/><br/>
Какой?<br/>
<input type="text" name="10" value=""/><br/>
Что или кто? (муж.р.)<br/>
<input type="text" name="11" value=""/><br/>
Любое число:<br/>
<input type="text" name="12" value=""/><br/>
Какой?<br/>
<input type="text" name="13" value=""/></div>
<div class="bmenu">
<input type="submit" name="submit" value="Написать :)"/></div>
</form><div class="gmenu">
Написали: '.$out.' раз(a)</div>';
}


if(isset ($_POST['submit']))
{
	for($i = 1; $i < 14; $i++)
	{
		$text[$i] = functions :: checkout(mb_substr($_POST[$i], 0, 20), 1, 1);
	}
	$file = file_get_contents("temp/president.tmp");
	$out = intval($file + 1);
	echo '<div class="gmenu">Уважаемый Президент! Пишет Вам '.$text[3].' и очень 5 Интернет-пользователь! Мне уже '.$text[1].' лет, но все говорят, что по развитию мне '.$text[4].' лет. Ха-ха! У меня проблемы: голова стала '.$text[2].', а руки '.$text[6].'. Меня нужно срочно утешить! Ведь я самый '.$text[7].' человек на свете! Жду от вас такие подарки: '.$text[8].' '.$text[9].' из шоколада, '.$text[10].' '.$text[11].' из золота и '.$text[12].' рублей наличными. И тыщу акций Газпрома, пригодятся! В общем, жду-не дождусь, Ваш верный стопроцентно '.$text[13].' почитатель. </div>';
	//Запись
	$fp_send = fopen("temp/president.tmp", "w");
	flock($fp_send, LOCK_EX);
	fputs($fp_send, $out);
	flock($fp_send, LOCK_UN);
	fclose($fp_send);
	chmod("temp/president.tmp", 0666);
}
else
{
	echo '<div class="rmenu">Пишите вразумительные ответы, иначе результат не будет иметь смысла и вы зря потратите время.</div>';
	form();
}
echo '<div class="menu"><a href="../?act=send">Еще письма</a><br /><a href="../?">В раздел</a></div>';
require_once ($rootpath."incfiles/end.php");

?>